Subject: Re: [PATCH 1/2] commit: add message options for rebase --autosquash

From: Bryan Drewery <[email-masked]>
Date: Fri, 17 Sep 2010 11:14:03 -0500

Stephen Boyd wrote:
> On 09/16/2010 06:39 PM, Pat Notz wrote:
>   
>> These options make it convenient to construct commit messages for use
>> with 'rebase --autosquash'.  The resulting commit message will be
>> "fixup! ..." or "squash! ..." where "..." is the subject line of the
>> specified commit message.
>>
>> Example usage:
>>   $ git commit --fixup HEAD~2
>>   $ git commit --squash HEAD~5
>>
>> Signed-off-by: Pat Notz <[email-masked]>
>> ---
>>     
>
> So far I've been using an alias for these, but I suppose making them
> real features of git could be worthwhile. What are the benefits with
> this approach vs. an alias?
>
>   

I keep wanting to do these at commit time.

What are the alternative aliases?

Bryan